<?php
	include_once(__DIR__."/../../core.php");

			$module_name="Fatture di vendita";

	// include_once($docroot."/lib/permissions_check.php");
	//include_once($docroot."/modules/interventi/modutil.php");


	$idintervento=$id_record;

	
	

	//RECUPERO IL TIPO DI INTERVENTO
	$rs = $dbo->fetchArray("SELECT idtipointervento FROM in_interventi WHERE idintervento=\"".$idintervento."\"");
	$idtipointerventot = $rs[0]['idtipointervento'];


	//Estraggo l'id del tipoanagrafica che è TECNICO
	$qq2 = "SELECT * FROM an_tipianagrafiche WHERE descrizione='Tecnico'";
	$rs2 = $dbo->fetchArray( $qq2 );
	$idtipoanagraficatecnico = $rs2[0]['idtipoanagrafica'];



	//SE ESISTE IL TIPO DI ANAGRAFICA TECNICO
	if( sizeof($rs2)>0 ){
		//SELEZIONO TUTTI I TECNICI DELLA ZONA SCELTA (potenziali tecnici) O TECNICI GIA' SCELTI
		( $idzona=='0' ) ? $WHERE_zona='' : $WHERE_zona=' AND (idzona="'.$idzona.'" OR an_anagrafiche.idanagrafica IN(SELECT idtecnico FROM in_interventi_tecnici WHERE idintervento="'.$idintervento.'") )';

		$q2 = "SELECT * FROM an_tipianagrafiche_anagrafiche INNER JOIN an_anagrafiche ON an_tipianagrafiche_anagrafiche.idanagrafica=an_anagrafiche.idanagrafica 
		WHERE deleted=0 AND idtipoanagrafica='".$idtipoanagraficatecnico."' $WHERE_zona ORDER BY ragione_sociale ASC";
		$rs2 = $dbo->fetchArray( $q2 );
		$n2 = sizeof($rs2);
		$prev_tecnico = "";

		//se non ho ancora impostato un tecnico mostro il messaggio
		if( $n2<=0 ){
			echo "... Nessun tecnico disponibile ...<br>\n";
		}

		else{
			// #### INIZIO PER OGNI POTENZIALE TECNICO #####
			for( $i=0; $i<$n2; $i++ ){
				$idtecnico = $rs2[$i]['idanagrafica'];

				//Estraggo le sessioni di lavoro del tecnico
				$q3 = "SELECT * FROM in_interventi_tecnici WHERE idintervento='".$idintervento."' AND idtecnico='".$idtecnico."' order by orario_inizio asc";
				$rs3 = $dbo->fetchArray( $q3 );
				$n3 = sizeof($rs3);

				//Se il tecnico ha lavorato all'intervento lo mostro subito, altrimenti lo nascondo
				if( $n3 == 0 ){
					$class_tecnico = "hide tecnico-nonselezionato";
					$mostra_campo_vuoto = true;
				} else {
					$class_tecnico = "";
					$mostra_campo_vuoto = false;
				}
			
				//Intestazione tecnico
				if( $prev_tecnico != $rs2[$i]['ragione_sociale'] ){
					echo "<table class='table table-striped table-hover table-condensed ".$class_tecnico."'>\n";
					echo "<tr>\n";
					echo "	<th class='text-left' width=\"250\"><i class='fa fa-user'></i> Operatore: ".$rs2[$i]['ragione_sociale']."</th>\n";			       
					echo "	<th class='text-center' width=\"150\">Stato</th>\n";
					echo "	<th class='text-center' width=\"150\">Impianto</th>\n";		
					echo "	<th class='text-center' width=\"100\">Data Inizio</th>\n";
			        echo "	<th class='text-center' width=\"100\">Orario</th>\n";
					echo "	<th class='text-center' width=\"100\">Data Fine</th>\n";
					echo "	<th class='text-center' width=\"100\">Orario</th>\n";
					echo "	<th class='text-center' width=\"50\">Edit</th>\n";
					echo "	<th class='text-center' width=\"50\">Info</th>\n";
					echo "	<th class='text-center' width=\"50\">Materiale</th>\n";
					echo "	<th class='text-center' width=\"50\">Spese</th>\n";
					echo "	<th class='text-center' width=\"50\">Firma</th>\n";
					echo "	<th class='text-center' width=\"50\">Id Rif</th>\n";
					echo "	<th class='text-center' width=\"50\">Rif</th>\n";
					
					echo "</tr>\n";
				}


				//Se il tecnico ha sessioni di lavoro le mostro...
				if( sizeof($rs3) > 0 ){
					//Elenco sessioni di lavoro del tecnico
					for($j=0; $j<$n3; $j++){
						$des_impianto="";
						if( $rs3[$j]['id_impianto'] != "0" ){
							$des_impianto=" Impianto:".$rs3[$j]['matricola_impianto'];
						}
						
						
						$id = $rs3[$j]['id'];
						$s=' checked="checked"';
						$display='';
						$data_app	= date( "d/m/Y", strtotime($rs3[$j]['orario_inizio']) );
						$data_fine	= date( "d/m/Y", strtotime($rs3[$j]['orario_fine']) );
						$orario		= date( "H:i", strtotime($rs3[$j]['orario_inizio']) );
						$orario_fine		= date( "H:i", strtotime($rs3[$j]['orario_fine']) );
						$descrizione_att	= $rs3[$j]['descrizione_att'] ;
						

						//Costi unitari
						echo "<input type='hidden' name='idtecnico[".$id."]' value=\"".$idtecnico."\" />\n";


						echo "<tr class='".$class_tecnico."'>\n";
							
						
						
							echo "<td class=\"tecn_".$rs3[$j]['idtecnico']."\">\n";							
								$rst = $dbo->fetchArray("SELECT descrizione  FROM in_tipiintervento where idtipointervento='".$rs3[$j]['idtipointervento']."'");											
								echo $rst[0]['descrizione'];
							echo "</td>\n";
						
							// Stato
							echo "<td class='text-center'>\n";				
								$rst = $dbo->fetchArray("SELECT descrizione  FROM in_statiintervento where idstatointervento='".$rs3[$j]['idstatointervento']."'");										
								echo $rst[0]['descrizione'];
							echo "</td>\n";
							// Impianto
							echo "<td class='text-center'>\n";				
								echo $des_impianto;						
							echo "</td>\n";
							
							// Data inizio
							echo "<td class='text-center'>\n";				
								echo $data_app;						
							echo "</td>\n";
							// Inizio
							echo "<td class='text-center'>\n";
								echo $orario;	
							echo "</td>\n";
							// Data fine
							echo "<td class='text-center'>\n";
								echo $data_fine;	
							echo "</td>\n";	
							// Fine
							echo "<td class='text-center'>\n";
								echo $orario_fine;	
							echo "</td>\n";
							//Pulsante modifica
							echo "<td class='text-center'>\n";
								echo "<a class='btn btn-info btn-xs' title='Modifica pianificazione...' onclick=\"launch_modal( 'Modifica pianificazione', '".$rootdir."/modules/documenti/modifica_pianifica.php?idintervento=".$idintervento."&idmodulo=".$id_module."&idriga=".$rs3[$j]['id']."&dir=".$dir."', 1 );\"><i class='fa fa-edit'></i></a>\n";																			
							echo "</td>\n";
							//Interroga info
							echo "<td class='text-center'>\n";
								echo "<a class='btn btn-success btn-xs' title='$descrizione_att'><i class='fa fa-align-justify'></i></a>\n";																											
							echo "</td>\n";
							//Materiale utilizzato
							echo "<td class='text-center'>\n";							
								?>									
									<button type="button" class="btn btn-info btn-xs" onclick="launch_modal( 'Aggiungi articolo', '<?php echo $rootdir ?>/modules/documenti/add_articolo_p.php?idriga=<?php echo $rs3[$j]['id'] ?>&idmodulo=<?php echo $id_module ?>&data_mov=<?php echo $data_app ?>&idintervento=<?php echo $rs3[$j]['idintervento'] ?>', 1 );"><i class="fa fa-plus"></i> Articolo</button>											
								<?php
							echo "</td>\n";
							//Sepese aggiuntive
							echo "<td class='text-center'>\n";
								?>									
									<button type="button" class="btn btn-info btn-xs" onclick="launch_modal( 'Aggiungi altre spese', '<?php echo $rootdir ?>/modules/documenti/add_righe_p.php?idriga=<?php echo $rs3[$j]['id'] ?>&idmodulo=<?php echo $id_module ?>&data_mov=<?php echo $data_app ?>&idintervento=<?php echo $rs3[$j]['idintervento'] ?>', 1 );"><i class="fa fa-plus"></i> Spese</button>			
								<?php		
							echo "</td>\n";
							//firma rapportino

							if( $rs3[$j]['firma_file'] == '' ){
								$icona="fa fa-pencil-square-o";	
								$frase = "Attività da firmare";	
								$button="btn btn-success btn-xs";							
							}
							else{
								$icona="fa fa-pencil-square";
								$frase = "Attività firmata";
								$button="btn btn-info btn-xs";
							}

							echo "<td>\n";					
								?>
									<button type="button" class="<?php echo $button ?>" onclick="launch_modal( 'Anteprima e firma', '<?php echo $rootdir ?>/modules/documenti/add_firma.php?id_module=<?php echo $id_module ?>&id_record=<?php echo $rs3[$j]['id'] ?>&idmodulo=<?php echo $id_module ?>&idintervento=<?php echo $rs3[$j]['idintervento'] ?>&anteprima=1', 1 );"></i> <?= $frase ?>...</button>
								
								<?php

							
							echo "</td>\n";
							echo "<td class='text-center'>\n";
								echo $rs3[$j]['id_riga_riferimento_documento'];	
							echo "</td>\n";
							echo "<td class='text-center'>\n";
								echo $rs3[$j]['id'];	
							echo "</td>\n";
						echo "</tr>\n";
					}
					//chiudo ciclo for
				}
				//Chiudo la riga
				echo "</table>\n";

				
				
				
				
				$prev_tecnico = $rs2[$i]['ragione_sociale'];
			}
			// FINE PER OGNI POTENZIALE TECNICO ####
			?>

			
		<?php
		}
	}
	?>

	<script type="text/javascript" charset="utf-8">
		
	//	$('.datepicker').datepicker();
	//	$('.timepicker').timepicker();
		
		
		
		$(document).ready( function(){
			
		});
	</script>

	<script type="text/javascript" charset="utf-8" src="<?= $rootdir ?>/lib/init.js"></script>
